Your account will not be charged for using this API
You will receive the list of languages by calling this API.
As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.
| Field name | Type | Description |
|---|---|---|
version | string | the current version of the API |
status_code | integer | general status code |
status_message | string | general informational message |
time | string | execution time, seconds |
cost | float | total tasks cost, USD |
tasks_count | integer | the number of tasks in the |
tasks_error | integer | the number of tasks in the |
tasks | array | array of tasks |
id | string | task identifier |
status_code | integer | status code of the task |
status_message | string | informational message of the task |
time | string | execution time, seconds |
cost | float | cost of the task, USD |
result_count | integer | number of elements in the |
path | array | URL path |
data | object | contains the parameters passed in the URL of the GET request |
result | array | array of results |
language_name | string | language name |
language_code | string | language code according to ISO 639-1 |
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
curl --location --request GET "https://api.dataforseo.com/v3/serp/google/ai_mode/languages"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw ""<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
exit();
}
try {
// using this method you can get a list of languages
// GET /v3/serp/google/ai_mode/languages
// in addition to 'google' and 'ai_mode' you can also set other search engines
// the full list of possible parameters is available in documentation
$result = $client->get('/v3/serp/google/ai_mode/languages');
print_r($result);
// do something with result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
$client = null;
?>const axios = require('axios');
axios({
method: 'get',
url: 'https://api.dataforseo.com/v3/serp/google/ai_mode/languages',
auth: {
username: 'login',
password: 'password'
},
data: [{
version: "v3"
}],
headers: {
'content-type': 'application/json'
}
}).then(function (response) {
var result = response['data']['tasks'][0]['result'];
// Result data
console.log(result);
}).catch(function (error) {
console.log(error);
});from random import Random
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of languages
# GET /v3/serp/google/ai_mode/languages
# in addition to 'google' and 'ai_mode' you can also set other search engines
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/google/ai_mode/languages")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task serp_languages()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
// using this method you can get a list of languages
// GET /v3/serp/google/ai_mode/languages
// in addition to 'google' and 'ai_mode' you can also set other search engines
// the full list of possible parameters is available in documentation
var response = await httpClient.GetAsync("/v3/serp/google/ai_mode/languages");
var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (result.status_code == 20000)
{
// do something with result
Console.WriteLine(result);
}
else
Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
}
}
}The above command returns JSON structured like this:
{
"version": "0.1.20251117",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.0121 sec.",
"cost": 0,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "11251830-1535-0098-0000-0a663bcc6f24",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.0000 sec.",
"cost": 0,
"result_count": 43,
"path": [
"v3",
"serp",
"google",
"ai_mode",
"languages"
],
"data": {
"api": "serp",
"function": "languages",
"se": "google",
"se_type": "ai_mode"
},
"result": [
{
"language_name": "Arabic",
"language_code": "ar"
},
{
"language_name": "Bengali",
"language_code": "bn"
},
{
"language_name": "Bulgarian",
"language_code": "bg"
},
{
"language_name": "Chinese (Simplified)",
"language_code": "zh-CN"
},
{
"language_name": "Chinese (Traditional)",
"language_code": "zh-TW"
},
{
"language_name": "Croatian",
"language_code": "hr"
},
{
"language_name": "Czech",
"language_code": "cs"
},
{
"language_name": "Danish",
"language_code": "da"
},
{
"language_name": "Dutch",
"language_code": "nl"
},
{
"language_name": "English",
"language_code": "en"
},
{
"language_name": "Farsi",
"language_code": "fa"
},
{
"language_name": "Finnish",
"language_code": "fi"
},
{
"language_name": "French",
"language_code": "fr"
},
{
"language_name": "German",
"language_code": "de"
},
{
"language_name": "Greek",
"language_code": "el"
},
{
"language_name": "Hebrew",
"language_code": "he"
},
{
"language_name": "Hindi",
"language_code": "hi"
},
{
"language_name": "Hungarian",
"language_code": "hu"
},
{
"language_name": "Indonesian",
"language_code": "id"
},
{
"language_name": "Italian",
"language_code": "it"
},
{
"language_name": "Japanese",
"language_code": "ja"
},
{
"language_name": "Kannada",
"language_code": "kn"
},
{
"language_name": "Korean",
"language_code": "ko"
},
{
"language_name": "Lithuanian",
"language_code": "lt"
},
{
"language_name": "Malay",
"language_code": "ms"
},
{
"language_name": "Malayam",
"language_code": "ml"
},
{
"language_name": "Marathi",
"language_code": "mr"
},
{
"language_name": "Norwegian",
"language_code": "no"
},
{
"language_name": "Polish",
"language_code": "pl"
},
{
"language_name": "Portuguese (Brazil)",
"language_code": "pt-BR"
},
{
"language_name": "Romanian",
"language_code": "ro"
},
{
"language_name": "Russian",
"language_code": "ru"
},
{
"language_name": "Serbian",
"language_code": "sr"
},
{
"language_name": "Slovak",
"language_code": "sk"
},
{
"language_name": "Spanish",
"language_code": "es"
},
{
"language_name": "Swedish",
"language_code": "sv"
},
{
"language_name": "Tamil",
"language_code": "ta"
},
{
"language_name": "Telugu",
"language_code": "te"
},
{
"language_name": "Thai",
"language_code": "th"
},
{
"language_name": "Turkish",
"language_code": "tr"
},
{
"language_name": "Ukrainian",
"language_code": "uk"
},
{
"language_name": "Urdu",
"language_code": "ur"
},
{
"language_name": "Vietnamese",
"language_code": "vi"
}
]
}
]
}